<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>ops-pro</artifactId>
        <groupId>cd.casic.boot</groupId>
        <version>${revision}</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <modules>
        <module>module-ci-commons</module>
        <module>module-infra-api</module>
        <module>module-infra-biz</module>
        <module>module-system-api</module>
        <module>module-system-biz</module>
        <module>module-ci-repository</module>
        <module>module-ci-execute</module>
        <module>module-ci-process-api</module>
        <module>module-ci-process-biz</module>
        <module>module-ci-machine</module>
    </modules>

    <artifactId>modules</artifactId>

    <version>${revision}</version>
    <packaging>pom</packaging>

    <name>${project.artifactId}</name>
    <description>
        infra 模块，主要提供两块能力：
        1. 我们放基础设施的运维与管理，支撑上层的通用与核心业务。 例如说：定时任务的管理、服务器的信息等等
        2. 研发工具，提升研发效率与质量。 例如：接口文档等等
    </description>

</project>
